| Qore DebugUtil Module Reference 0.1

Classes | Variables
DebugUtil Namespace Reference

the DebugUtil namespace contains all the definitions in the DebugUtil module More...

## Classes
class | AbstractDebugControl
| base class for controlling debugging More...
class | DebugLogger
| class that can be used for logging More...
class | WrapperGetOpt
| class supporting argument parsing for executing programs to debug More...

## Variables
const | DUV_DEBUG = 2
| logging constant: debug messages
const | DUV_DEBUG_1 = 3
| logging constant: detailed debug messages
const | DUV_INFO = 1
| logging constant: info messages
const | DUV_NONE = 0
| logging constant: no logging
const | QoreDebugProtocolVersion = "0.1"
| The debug protocol version implemented.
const | QoreDebugWsProtocolHeader = "QoreDebugWsProtocol"
| The HTTP header string for the Qore debug protocol version.

## Detailed Description

the DebugUtil namespace contains all the definitions in the DebugUtil module